Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc.sl
Class SLReplyDecoder

    java.lang.Object
      ix.iserve.ipc.sl.SLReplyDecoder

    public class SLReplyDecoder

extends java.lang.Object

Field Summary
`(package private) java.lang.String` | `COMPLETION_REPORT`
`(package private) LList` | `CONSTRAINT_PATTERN`
`(package private) java.lang.String` | `INFORMATION_REPORT`
`(package private) PatternParser.LispPatternParser` | `lpp`
`(package private) java.lang.String` | `PROGRESS_REPORT`
`(package private) Symbol` | `Q_ATTRIBUTE`
`(package private) Symbol` | `Q_OBJECT`
`(package private) Symbol` | `Q_VALUE`
`(package private) java.lang.String` | `STARTED_ACTIVITY`
`(package private) java.lang.String` | `STATE_CONSTRAINT`
`(package private) java.lang.String` | `STOPPED_ACTIVITY`

Constructor Summary
`SLReplyDecoder()`

Method Summary
`(package private) Constraint` | `decodeConstraint(java.lang.String contents)`
`(package private) Sendable` | `decodeContents(java.lang.String contents)`
`(package private) Report` | `decodeReport(java.lang.String contents)`
`void` | `fillInReply(MessageWrapper reply, java.lang.String contents, MessageWrapper message)`
`(package private) void` | `fillInReport(Report report, MessageWrapper message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROGRESS_REPORT

    java.lang.String PROGRESS_REPORT

### COMPLETION_REPORT

    java.lang.String COMPLETION_REPORT

### INFORMATION_REPORT

    java.lang.String INFORMATION_REPORT

### STARTED_ACTIVITY

    java.lang.String STARTED_ACTIVITY

### STOPPED_ACTIVITY

    java.lang.String STOPPED_ACTIVITY

### STATE_CONSTRAINT

    java.lang.String STATE_CONSTRAINT

### Q_ATTRIBUTE

    Symbol Q_ATTRIBUTE

### Q_OBJECT

    Symbol Q_OBJECT

### Q_VALUE

    Symbol Q_VALUE

### lpp

    PatternParser.LispPatternParser lpp

### CONSTRAINT_PATTERN

    LList CONSTRAINT_PATTERN

Constructor Detail

### SLReplyDecoder

    public SLReplyDecoder()

Method Detail

### fillInReply

    public void fillInReply(MessageWrapper reply,
                            java.lang.String contents,
                            MessageWrapper message)

### decodeContents

    Sendable decodeContents(java.lang.String contents)

### decodeConstraint

    Constraint decodeConstraint(java.lang.String contents)

### decodeReport

    Report decodeReport(java.lang.String contents)

### fillInReport

    void fillInReport(Report report,
                      MessageWrapper message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD